package com.xintong.visualinspection.dao.master;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.CheckItem;
import com.xintong.visualinspection.bean.CheckRule;

/**
 * 文件名：CheckRuleDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface CheckRuleDao  {
    public List<CheckRule> getAll();
    public List<CheckRule> getAllAndCountItem(CheckRule checkRule);
    public CheckRule getOne(Long id);
    public List<CheckRule> getByName(String name);
    public void insert(CheckRule checkRule);
    public void insertRuleItem(List<CheckItem> checkItems);
    public void update(CheckRule checkRule);
    public void updateRuleType(CheckRule checkRule);
    public void delete(Long id);
    public void deleteRuleItem(Long id);
    public Long getLastId();
    public CheckRule getByRuleType(Map<String,String> param);
}
